OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PGeom

# PGeom_Hyperbola Class Reference

`#include <PGeom_Hyperbola.hxx>`

Inheritance diagram for PGeom_Hyperbola:

[legend]

## Public Member Functions
Standard_EXPORT | PGeom_Hyperbola ()
| Creates an Hyperbola with default values. .
Standard_EXPORT | PGeom_Hyperbola (const gp_Ax2 &aPosition, const Standard_Real aMajorRadius, const Standard_Real aMinorRadius)
| Creates an Hyperbola with <aposition>, <amajorradius> and <aminorradius> as field values. The major radius of the hyperbola is on the XAxis and the minor radius is on the YAxis of the hyperbola. .
Standard_EXPORT void | MajorRadius (const Standard_Real aMajorRadius)
| Set the value of the field majorRadius with <amajorradius>. .
Standard_EXPORT Standard_Real | MajorRadius () const
| Returns the value of the field majorRadius. .
Standard_EXPORT void | MinorRadius (const Standard_Real aMinorRadius)
| Set the value of the field minorRadius with <aminorradius>. .
Standard_EXPORT Standard_Real | MinorRadius () const
| Returns the value of the field minorRadius. .
| PGeom_Hyperbola (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPGeom_HyperbolamajorRadius () const
void | _CSFDB_SetPGeom_HyperbolamajorRadius (const Standard_Real p)
Standard_Real | _CSFDB_GetPGeom_HyperbolaminorRadius () const
void | _CSFDB_SetPGeom_HyperbolaminorRadius (const Standard_Real p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Real | majorRadius
Standard_Real | minorRadius

## Constructor & Destructor Documentation

Standard_EXPORT PGeom_Hyperbola::PGeom_Hyperbola | ( |  | ) |

Standard_EXPORT PGeom_Hyperbola::PGeom_Hyperbola | ( | const gp_Ax2 & | aPosition,
|  | const Standard_Real | aMajorRadius,
|  | const Standard_Real | aMinorRadius
| ) |

PGeom_Hyperbola::PGeom_Hyperbola | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Real PGeom_Hyperbola::_CSFDB_GetPGeom_HyperbolamajorRadius | ( |  | ) | const`[inline]`

Standard_Real PGeom_Hyperbola::_CSFDB_GetPGeom_HyperbolaminorRadius | ( |  | ) | const`[inline]`

void PGeom_Hyperbola::_CSFDB_SetPGeom_HyperbolamajorRadius | ( | const Standard_Real | p | ) | `[inline]`

void PGeom_Hyperbola::_CSFDB_SetPGeom_HyperbolaminorRadius | ( | const Standard_Real | p | ) | `[inline]`

Standard_EXPORT const PGeom_Hyperbola::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_Conic.

Standard_EXPORT Standard_Real PGeom_Hyperbola::MajorRadius | ( |  | ) | const

Standard_EXPORT void PGeom_Hyperbola::MajorRadius | ( | const Standard_Real | aMajorRadius | ) |

Standard_EXPORT Standard_Real PGeom_Hyperbola::MinorRadius | ( |  | ) | const

Standard_EXPORT void PGeom_Hyperbola::MinorRadius | ( | const Standard_Real | aMinorRadius | ) |

## Field Documentation

Standard_Real PGeom_Hyperbola::majorRadius`[private]`

Standard_Real PGeom_Hyperbola::minorRadius`[private]`

The documentation for this class was generated from the following file:

- PGeom_Hyperbola.hxx